All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::RandomRotationMatrix Struct Reference

Randomly rotate a set of vectors. More...

`#include <VectorTransform.h>`

Inheritance diagram for faiss::RandomRotationMatrix:

## Public Member Functions

| RandomRotationMatrix (int d_in, int d_out)
| both d_in > d_out and d_out < d_in are supported
void | init (int seed)
| must be called before the transform is used
Public Member Functions inherited from faiss::LinearTransform
| LinearTransform (int d_in=0, int d_out=0, bool have_bias=false)
| both d_in > d_out and d_out < d_in are supported
void | apply_noalloc (idx_t n, const float *x, float *xt) const override
| same as apply, but result is pre-allocated
void | transform_transpose (idx_t n, const float *y, float *x) const
void | reverse_transform (idx_t n, const float *xt, float *x) const override
| works only if is_orthonormal
void | set_is_orthonormal ()
| compute A^T * A to set the is_orthonormal flag
Public Member Functions inherited from faiss::VectorTransform
| VectorTransform (int d_in=0, int d_out=0)
| ! output dimension
virtual void | train (idx_t n, const float *x)
float * | apply (idx_t n, const float *x) const

## Additional Inherited Members

Public Types inherited from faiss::VectorTransform
typedef Index::idx_t | idx_t
Public Attributes inherited from faiss::LinearTransform
bool | have_bias
bool | is_orthonormal
| ! whether to use the bias term More...
std::vector< float > | A
| Transformation matrix, size d_out * d_in.
std::vector< float > | b
| bias vector, size d_out
bool | verbose
Public Attributes inherited from faiss::VectorTransform
int | d_in
int | d_out
| ! input dimension
bool | is_trained

## Detailed Description

Randomly rotate a set of vectors.

Definition at line 117 of file VectorTransform.h.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/VectorTransform.h
- /data/users/matthijs/github_faiss/faiss/VectorTransform.cpp